/**************************************************************************//**
 * @file     system_A8107M.h
 * @brief    
 * @version  
 * @date     
 *
 * @note
 *
 * @par
 *
 * @par
 *
 ******************************************************************************/


#ifndef A8107M_H
#define A8107M_H

#include <stdint.h>

extern uint32_t SystemCoreClock;     /*!< System Clock Frequency (Core Clock)  */


/**
 * Initialize the system
 *
 * @param  none
 * @return none
 *
 * @brief  Setup the microcontroller system.
 *         Initialize the System and update the SystemCoreClock variable.
 */
extern void SystemInit (void);

/**
 * Update SystemCoreClock variable
 *
 * @param  none
 * @return none
 *
 * @brief  Updates the SystemCoreClock with current core Clock
 *         retrieved from cpu registers.
 */
extern void SystemCoreClockUpdate (void);

#endif /* A8107M_H */
