/*--------------------------------------------------------------------------*/
/*  system_A8137M0.H                                                        */
/****************************************************************************/
/*  Change Log:                                                             */
/*  Version: 0.0                                                            */
/*  Date   : 2018-01-05                                                     */
/*  Issue  : Creat A8137M0-U01                                              */
/*  Author : Achou                                                          */
/****************************************************************************/
/* Header file for A8137M0 RF SoC microcontroller.                          */
/* Copyright (c) 2018 AMICCOM Electronics Corp.                             */
/* All rights reserved.                                                     */
/*--------------------------------------------------------------------------*/


#ifndef __SYSTEM_A8137M0_H__
#define __SYSTEM_A8137M0_H__

#include <stdint.h>

extern uint32_t SystemCoreClock;     /*!< System Clock Frequency (Core Clock)  */


/**
 * Initialize the system
 *
 * @param  none
 * @return none
 *
 * @brief  Setup the microcontroller system.
 *         Initialize the System and update the SystemCoreClock variable.
 */
extern void SystemInit (void);

/**
 * Update SystemCoreClock variable
 *
 * @param  none
 * @return none
 *
 * @brief  Updates the SystemCoreClock with current core Clock
 *         retrieved from cpu registers.
 */
extern void SystemCoreClockUpdate (void);

#endif /* system_A8137M0.H  */
